Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.surfaceUI
Class PolynomialUI

    java.lang.Object
      threeD.raytracer.surfaceUI.AbstractSurfaceUI
          threeD.raytracer.surfaceUI.PolynomialUI

All Implemented Interfaces:
  Surface, SurfaceUI, SurfaceWrapper

public class PolynomialUI
extends AbstractSurfaceUI

A PolynomialUI object is an extension of the basic Polynomial object that can be used in an application with a user interface.

Field Summary

Fields inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`surface`

Constructor Summary
`PolynomialUI()` Constructs a new PolynomialUI object with no terms.
`PolynomialUI(Polynomial polynomial)` Constructs a new PolynomialUI object based on the specified Polynomial object.
`PolynomialUI(PolynomialTerm[] terms)` Constructs a new PolynomialUI object with the specified terms.

Method Summary
`void` | `draw(Graphics g, Camera camera)` Draws a simple representation of the polynomial surface represented by this PolynomialUI object on the specified Graphics object using the viewing settings of the specified Camera object.
`Dialog` | `getDialog()` Returns a Dialog object that can be used to specify extra information about this PolynomialUI object.
`String` | `getType()` Returns "Polynomial Surface" as the surface type for this PolynomialUI object.
`boolean` | `hasDialog()` Returns true.

Methods inherited from class threeD.raytracer.surfaceUI.AbstractSurfaceUI
`getColorAt, getName, getNormalAt, getShadeBack, getShadeFront, getSurface, intersect, intersectAt, setName, setParent, setSurface, shade, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolynomialUI

    public PolynomialUI()

  Constructs a new PolynomialUI object with no terms.

### PolynomialUI

    public PolynomialUI(PolynomialTerm[] terms)

  Constructs a new PolynomialUI object with the specified terms.

### PolynomialUI

    public PolynomialUI(Polynomial polynomial)

  Constructs a new PolynomialUI object based on the specified Polynomial object.

Method Detail

### getType

    public String getType()

  Returns "Polynomial Surface" as the surface type for this PolynomialUI object.

### hasDialog

    public boolean hasDialog()

  Returns true.

  Specified by:
    `hasDialog` in interface `SurfaceUI`
  Overrides:
    `hasDialog` in class `AbstractSurfaceUI`

### getDialog

    public Dialog getDialog()

  Returns a Dialog object that can be used to specify extra information about this PolynomialUI object.

  Specified by:
    `getDialog` in interface `SurfaceUI`
  Overrides:
    `getDialog` in class `AbstractSurfaceUI`

### draw

    public void draw(Graphics g,
                     Camera camera)

  Draws a simple representation of the polynomial surface represented by this PolynomialUI object on the specified Graphics object using the viewing settings of the specified Camera object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray